; Script generated by the HM NIS Edit Script Wizard.

; HM NIS Edit Wizard helper defines
!define PRODUCT_NAME "Altiris Deployment Server AClient Hotfix"
!define PRODUCT_VERSION "6.9.176"
!define PRODUCT_PUBLISHER "Symantec, Corp."
!define PRODUCT_WEB_SITE "http://www.altiris.com"
!define PRODUCT_DIR_REGKEY "Software\Microsoft\Windows\CurrentVersion\App Paths\Axengine.exe"
!define PRODUCT_UNINST_KEY "Software\Microsoft\Windows\CurrentVersion\Uninstall\${PRODUCT_NAME}"
!define PRODUCT_UNINST_ROOT_KEY "HKLM"

SetCompressor /FINAL /SOLID lzma
SetCompressorDictSize 64

; MUI 1.67 compatible ------
!include "MUI.nsh"

; MUI Settings
!define MUI_ABORTWARNING
!define MUI_ICON "${NSISDIR}\Contrib\Graphics\Icons\modern-install.ico"
!define MUI_UNICON "${NSISDIR}\Contrib\Graphics\Icons\modern-uninstall.ico"

; Welcome page
!define MUI_WELCOMEPAGE_TITLE_3LINES
!define MUI_WELCOMEPAGE_TEXT "This will install AClient 6.9.176"
!insertmacro MUI_PAGE_WELCOME
; Instfiles page
!insertmacro MUI_PAGE_INSTFILES
; Finish page
!insertmacro MUI_PAGE_FINISH

; Uninstaller pages
!insertmacro MUI_UNPAGE_INSTFILES

; Language files
!insertmacro MUI_LANGUAGE "English"

; Reserve files
!insertmacro MUI_RESERVEFILE_INSTALLOPTIONS

; MUI end ------

Name "${PRODUCT_NAME} ${PRODUCT_VERSION}"
OutFile "DS_AClient_Hotfix_6_9_176.exe"
InstallDir "$PROGRAMFILES\Altiris\eXpress\Deployment Server"
InstallDirRegKey HKLM "${PRODUCT_DIR_REGKEY}" ""
ShowInstDetails show
ShowUnInstDetails show

; Called before anything else as installer initialises
Function .onInit
  SetRegView 32
  IfFileExists "$INSTDIR\axengine.exe" 0 NoDS ;If axengine.exe does not exists, Deployment Server is not installed
  ReadRegDWORD $0 HKLM "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Altiris eXpress Deployment Server" VersionMajor
  ReadRegDWORD $1 HKLM "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Altiris eXpress Deployment Server" VersionMinor
  ReadRegDWORD $2 HKLM "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Altiris eXpress Deployment Server" VersionServicePack
  ;Version must be 6.9 SP0
  IntCmp $0 6 +2
    GoTo NoDS
  IntCmp $1 9 +2
    GoTo NoDS
  IntCmp $2 0 +2
    GoTo NoDS
  IfFileExists "$INSTDIR\Uninstall_DS_Full_Hotfix_6_9_177.exe" 0 Continue
    IfSilent +2
      MessageBox MB_ICONEXCLAMATION '"This Hotfix has already been applied via "Altiris Deployment Server Full Hotfix 6.9.177"'
    Abort
  NoDS:
    IfSilent +2
      MessageBox MB_ICONEXCLAMATION "This Hotfix requires Deployment Server 6.9 to be installed"
    Abort
  Continue:
FunctionEnd

Section "MainSection" SEC01
  SetOverwrite try
  SetOutPath "$INSTDIR\Agents\AClient"
  Delete "$INSTDIR\Agents\AClient\altiris-aclient-6.9.176.x86.exe"
  File "Deployment Server\Agents\AClient\altiris-aclient-6.9.176.X86.exe"
 
  WriteRegDWORD HKLM "SOFTWARE\Altiris\Altiris eXpress\Options" "AutoUpdateClients" 0x00000001 ;Set AutoUpdateClients in the registry
  
  ;Restart services
  nsExec::Exec 'NET STOP "Altiris eXpress Server"'
  nsExec::Exec 'NET START "Altiris eXpress Server"'
SectionEnd

Section -Post
  WriteUninstaller "$INSTDIR\Uninstall_DS_AClient_Hotfix_6_9_176.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayName" "$(^Name)"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "UninstallString" "$INSTDIR\Uninstall_DS_AClient_Hotfix_6_9_176.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayIcon" "$INSTDIR\Axengine.exe"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "DisplayVersion" "${PRODUCT_VERSION}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "URLInfoAbout" "${PRODUCT_WEB_SITE}"
  WriteRegStr ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}" "Publisher" "${PRODUCT_PUBLISHER}"
SectionEnd

Function un.onUninstSuccess
  HideWindow
  IfSilent +2
    MessageBox MB_ICONINFORMATION|MB_OK "$(^Name) was successfully removed from your computer."
FunctionEnd

Function un.onInit
  IfSilent +3
    MessageBox MB_ICONQUESTION|MB_YESNO|MB_DEFBUTTON2 "Are you sure you want to completely remove $(^Name) and all of its components?" IDYES +2
    Abort
FunctionEnd

Section Uninstall
  Delete "$INSTDIR\Agents\AClient\altiris-aclient-6.9.176.X86.exe"
  
  WriteRegDWORD HKLM "SOFTWARE\Altiris\Altiris eXpress\Options" "AutoUpdateClients" 0x00000001 ;Set AutoUpdateClients in the registry

  ;Restart services
  nsExec::Exec 'NET STOP "Altiris eXpress Server"'
  nsExec::Exec 'NET START "Altiris eXpress Server"'
  
  Delete "$INSTDIR\Uninstall_DS_AClient_Hotfix_6_9_176.exe"

  DeleteRegKey ${PRODUCT_UNINST_ROOT_KEY} "${PRODUCT_UNINST_KEY}"
  SetAutoClose true
SectionEnd